# GstGLDisplayEGL

GstGLDisplayEGL represents a connection to an EGL `EGLDisplay` handle created internally (gst_gl_display_egl_new) or wrapped by the application (gst_gl_display_egl_new_with_egl_display)

## GstGLDisplayEGL

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstGLDisplay
                    ╰──GstGLDisplayEGL

the contents of a GstGLDisplayEGL are private and should only be accessed through the provided API

### Members

`parent` (GstGLDisplay) –
No description available

### Class structure

#### GstGLDisplayEGLClass

##### Fields

`object_class` (GstGLDisplayClass) –
No description available
`_padding` (gpointer *) –
No description available

### GstGLEGL.GLDisplayEGLClass

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ Object ]) –
No description available

### GstGLEGL.GLDisplayEGLClass

##### Attributes

`object_class` (GstGL.GLDisplayClass) –
No description available
`_padding` ([ object ]) –
No description available

## GstGLEGL.GLDisplayEGL

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLEGL.GLDisplayEGL

the contents of a GstGLEGL.GLDisplayEGL are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available

## GstGLEGL.GLDisplayEGL

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstGL.GLDisplay
                    ╰──GstGLEGL.GLDisplayEGL

the contents of a GstGLEGL.GLDisplayEGL are private and should only be accessed through the provided API

### Members

`parent` (GstGL.GLDisplay) –
No description available

### Constructors

#### gst_gl_display_egl_new

    GstGLDisplayEGL *
    gst_gl_display_egl_new ()

Create a new GstGLDisplayEGL using the default EGL_DEFAULT_DISPLAY.

Returns ( [transfer: full][nullable]) –

a new GstGLDisplayEGL or NULL

#### GstGLEGL.GLDisplayEGL.prototype.new

    function GstGLEGL.GLDisplayEGL.prototype.new(): {
        // javascript wrapper for 'gst_gl_display_egl_new'
    }

Create a new GstGLEGL.GLDisplayEGL using the default EGL_DEFAULT_DISPLAY.

Returns (GstGLEGL.GLDisplayEGL) –

a new GstGLEGL.GLDisplayEGL or null

#### GstGLEGL.GLDisplayEGL.new

    def GstGLEGL.GLDisplayEGL.new ():
        #python wrapper for 'gst_gl_display_egl_new'

Create a new GstGLEGL.GLDisplayEGL using the default EGL_DEFAULT_DISPLAY.

Returns (GstGLEGL.GLDisplayEGL) –

a new GstGLEGL.GLDisplayEGL or None

#### gst_gl_display_egl_new_with_egl_display

    GstGLDisplayEGL *
    gst_gl_display_egl_new_with_egl_display (gpointer display)

Parameters:

`display` –
No description available
Returns –
No description available

#### GstGLEGL.GLDisplayEGL.prototype.new_with_egl_display

    function GstGLEGL.GLDisplayEGL.prototype.new_with_egl_display(display: Object): {
        // javascript wrapper for 'gst_gl_display_egl_new_with_egl_display'
    }

Parameters:

`display` (Object) –
No description available
Returns (GstGLEGL.GLDisplayEGL) –
No description available

#### GstGLEGL.GLDisplayEGL.new_with_egl_display

    def GstGLEGL.GLDisplayEGL.new_with_egl_display (display):
        #python wrapper for 'gst_gl_display_egl_new_with_egl_display'

Parameters:

`display` (object) –
No description available
Returns (GstGLEGL.GLDisplayEGL) –
No description available

### Functions

#### gst_gl_display_egl_from_gl_display

    GstGLDisplayEGL *
    gst_gl_display_egl_from_gl_display (GstGLDisplay * display)

Creates a EGL display connection from a native Display.

This function will return the same value for multiple calls with the same display.

Parameters:

`display` ( [transfer: none]) –

an existing GstGLDisplay

Returns ( [transfer: full][nullable]) –

a new GstGLDisplayEGL

Since : 1.12

#### GstGLEGL.GLDisplayEGL.prototype.from_gl_display

    function GstGLEGL.GLDisplayEGL.prototype.from_gl_display(display: GstGL.GLDisplay): {
        // javascript wrapper for 'gst_gl_display_egl_from_gl_display'
    }

Creates a EGL display connection from a native Display.

This function will return the same value for multiple calls with the same display.

Parameters:

`display` (GstGL.GLDisplay) –

an existing GstGL.GLDisplay

Returns (GstGLEGL.GLDisplayEGL) –

a new GstGLEGL.GLDisplayEGL

Since : 1.12

#### GstGLEGL.GLDisplayEGL.from_gl_display

    def GstGLEGL.GLDisplayEGL.from_gl_display (display):
        #python wrapper for 'gst_gl_display_egl_from_gl_display'

Creates a EGL display connection from a native Display.

This function will return the same value for multiple calls with the same display.

Parameters:

`display` (GstGL.GLDisplay) –

an existing GstGL.GLDisplay

Returns (GstGLEGL.GLDisplayEGL) –

a new GstGLEGL.GLDisplayEGL

Since : 1.12

#### gst_gl_display_egl_get_from_native

    gpointer
    gst_gl_display_egl_get_from_native (GstGLDisplayType type,
                                        guintptr display)

Attempts to create a new `EGLDisplay` from display. If type is GST_GL_DISPLAY_TYPE_ANY, then display must be 0. type must not be GST_GL_DISPLAY_TYPE_NONE.

Parameters:

`type` –

a GstGLDisplayType

`display` –

pointer to a display (or 0)

Returns ( [nullable]) –

A `EGLDisplay` or `EGL_NO_DISPLAY`

Since : 1.12

#### GstGLEGL.GLDisplayEGL.prototype.get_from_native

    function GstGLEGL.GLDisplayEGL.prototype.get_from_native(type: GstGL.GLDisplayType, display: Number): {
        // javascript wrapper for 'gst_gl_display_egl_get_from_native'
    }

Attempts to create a new `EGLDisplay` from display. If type is GstGL.GLDisplayType.ANY, then display must be 0. type must not be GstGL.GLDisplayType.NONE.

Parameters:

`type` (GstGL.GLDisplayType) –

a GstGL.GLDisplayType

`display` (Number) –

pointer to a display (or 0)

Returns (Object) –

A `EGLDisplay` or `EGL_NO_DISPLAY`

Since : 1.12

#### GstGLEGL.GLDisplayEGL.get_from_native

    def GstGLEGL.GLDisplayEGL.get_from_native (type, display):
        #python wrapper for 'gst_gl_display_egl_get_from_native'

Attempts to create a new `EGLDisplay` from display. If type is GstGL.GLDisplayType.ANY, then display must be 0. type must not be GstGL.GLDisplayType.NONE.

Parameters:

`type` (GstGL.GLDisplayType) –

a GstGL.GLDisplayType

`display` (int) –

pointer to a display (or 0)

Returns (object) –

A `EGLDisplay` or `EGL_NO_DISPLAY`

Since : 1.12

## Function Macros

### GST_GL_DISPLAY_EGL_CAST

    #define GST_GL_DISPLAY_EGL_CAST(obj)        ((GstGLDisplayEGL*)(obj))

## Constants

### GST_GL_DISPLAY_EGL_NAME

    #define GST_GL_DISPLAY_EGL_NAME "gst.gl.display.egl"

### GstGLEGL.GL_DISPLAY_EGL_NAME

The results of the search are